import img.Picture;

import java.io.File;
import java.io.InputStream;
import java.io.PrintStream;
import java.util.Date;
import java.util.Scanner;

public class L9App1 {
	public static void main(String[] args) {
		PrintStream output = System.out;

		/*
		 * the pathname of the file I want is:
		 * 
		 * "/Users/mb/000_images_1710/treefrog.jpg"
		 * 
		 * when you run this example, change this value to the pathname of the
		 * image you want to look at
		 */

		String myPathName = File.separator + "Users" + File.separator + "mb"
				+ File.separator + "000_images_1710" + File.separator
				+ "treefrog.jpg";
		File myFile = new File(myPathName);
		// we could instead use a JFileChooser, but we'll use this technique to
		// make this app operate faster.
		// Also, this app would be much better if we actually *checked* that the
		// file denoted by myPathName actually exists (since it might not, after
		// all)
		Picture myPict = new Picture(myFile.getPath());

		// this is equivalent to the two statements above
		Picture myPict2 = new Picture(myPathName);

		// now we can see both images at one (although the two windows are
		// layered exactly on top of one another)
		myPict.show();
		myPict2.show();

	}
}
