import img.Picture;
import img.Pixel;

import java.awt.Color;
import java.io.File;
import java.io.InputStream;
import java.io.PrintStream;
import java.util.Date;
import java.util.Scanner;

import javax.swing.JFileChooser;

public class L9App4 {
	public static void main(String[] args) {
		PrintStream output = System.out;

		/*
		 * the pathname of the file I wanted on my own laptop is:
		 * "/Users/mb/000_images_1710/treefrog.jpg"
		 * 
		 * I created a string to represent this pathname (and include it here),
		 * but we will use the JFileChooser instead so this app will work more
		 * generally
		 */

		String myPathName = File.separator + "Users" + File.separator + "mb"
				+ File.separator + "000_images_1710" + File.separator
				+ "treefrog.jpg";

		JFileChooser chooser = new JFileChooser();
		int returnVal = chooser.showOpenDialog(null);
		if (returnVal != JFileChooser.APPROVE_OPTION) {
			output.println("No file selected.  Terminating.");
			System.exit(0);

		}

		File theFile = chooser.getSelectedFile();
		// Picture myPict = new Picture(myPathName);
		Picture myPict = new Picture(theFile.getPath());

		System.out.println(myPict.getWidth());
		System.out.println(myPict.getHeight());

		myPict.show();

		final int MAX_VALUE = 255;

		// now we change all of the pixels in the image
		Pixel[] allPixels = myPict.getPixels();
		for (Pixel p : allPixels) {
			// p.setRed(MAX_VALUE);
			// p.setColor(Color.RED);
			p.setColor(new Color(255, 0, 0));
			// you should experiment with different things here

		}

	}
}
